I'm currently having this same issue, as well. I'm in Robofont Version 3.0 (built 1803062007), and I've just re-downloaded Batch from GitHub to make sure I'm not using an outdated version. Here's my error output: Traceback (most recent call last): File "/Applications/RoboFont3.app/Contents/Resources/lib/python3.6/fontTools/ttLib/ttFont.py", line 363, in __getitem__ KeyError: 'name' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/Users/stephennixon/Library/Application Support/RoboFont/plugins/Batch.roboFontExt/lib/variableFontGenerator/__init__.py", line 580, in _generateVariationFont File "/Applications/RoboFont3.app/Contents/Resources/lib/python3.6/fontTools/varLib/__init__.py", line 733, in build File "/Applications/RoboFont3.app/Contents/Resources/lib/python3.6/fontTools/varLib/__init__.py", line 68, in _add_fvar File "/Applications/RoboFont3.app/Contents/Resources/lib/python3.6/fontTools/ttLib/ttFont.py", line 400, in __getitem__ KeyError: "'name' table not found" ​ I might just be doing something silly, but I don't think I'm doing anything too weird. Here are screenshots of my basic font info, the OpenType name tables, and the Postscript Identification fields. I've mostly left things as their default.